package com.sifang.modules.sys.util.insurance.form.ordersubmit;

import java.util.ArrayList;
import java.util.List;

public class OrderSubmitReq {

    private List<Insured> insuredList = new ArrayList<Insured>();
    private List<HouseDetails> houseDetailsList = new ArrayList<HouseDetails>();
    private BaseInfo baseInfo;
    private List<FileInfo> fileInfos = new ArrayList<FileInfo>();
    private String orderNo;
    private String channelCode;
    private String requestNo;
    private String sign;
    private String itemNo;
    private String productPlan;

    public List<Insured> getInsuredList() {
        return insuredList;
    }

    public void setInsuredList(List<Insured> insuredList) {
        this.insuredList = insuredList;
    }

    public List<HouseDetails> getHouseDetailsList() {
        return houseDetailsList;
    }

    public void setHouseDetailsList(List<HouseDetails> houseDetailsList) {
        this.houseDetailsList = houseDetailsList;
    }

    public BaseInfo getBaseInfo() {
        return baseInfo;
    }

    public void setBaseInfo(BaseInfo baseInfo) {
        this.baseInfo = baseInfo;
    }

    public List<FileInfo> getFileInfos() {
        return fileInfos;
    }

    public void setFileInfos(List<FileInfo> fileInfos) {
        this.fileInfos = fileInfos;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getRequestNo() {
        return requestNo;
    }

    public void setRequestNo(String requestNo) {
        this.requestNo = requestNo;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getItemNo() {
        return itemNo;
    }

    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }

    public String getProductPlan() {
        return productPlan;
    }

    public void setProductPlan(String productPlan) {
        this.productPlan = productPlan;
    }

    @Override
    public String toString() {
        return "OrderSubmitReq{" +
                "insuredList=" + insuredList +
                ", houseDetailsList=" + houseDetailsList +
                ", baseInfo=" + baseInfo +
                ", fileInfos=" + fileInfos +
                ", orderNo='" + orderNo + '\'' +
                ", channelCode='" + channelCode + '\'' +
                ", requestNo='" + requestNo + '\'' +
                ", sign='" + sign + '\'' +
                ", itemNo='" + itemNo + '\'' +
                ", productPlan='" + productPlan + '\'' +
                '}';
    }
}
